Bug 456292 - ooffice crashes after printing impress documents from command line
ooffice crashes after printing impress documents from command line
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: openoffice.org (Show other bugs)
9
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Caolan McNamara
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-07-22 12:59 EDT by pb
Modified: 2008-09-10 02:39 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-09-10 02:39:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
t (10.08 KB, text/plain)
2008-07-22 12:59 EDT, pb
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
OpenOffice.org 46461 None None None Never
OpenOffice.org 92026 None None None Never

  None (edit)
Description pb 2008-07-22 12:59:53 EDT
Description of problem:

ooffice crashes when printing from the commandline.

Version-Release number of selected component (if applicable):
openoffice.org-impress-2.4.1-17.4.fc9.i386

How reproducible:
$ ooffice -pt ps test.odp
where ps is a simple converter 
and test.odp is a new openoffice impress document (crashes on any document) 

Steps to Reproduce:
1. create new impress document
2. create printer with spadmin ("cat - > ps.ps") under the name ps
3. generate postscript file with 
   $ ooffice -pt ps test.odp
  
Actual results:
the postscript file is correctly generated. The crash happens 
after successful completion of the job.

Expected results:
same result but no crash.

Additional info:
* works fine on fedora7 and fedora8
* message before crash:
  terminate called after throwing an instance of 
  'com::sun::star::lang::DisposedException'
Comment 1 pb 2008-07-22 12:59:53 EDT
Created attachment 312367 [details]
t
Comment 2 Caolan McNamara 2008-07-23 05:54:39 EDT
fix submitted upstream and checked in, will be in >= 2.4.1-17.5
Comment 3 Fedora Update System 2008-08-07 07:06:34 EDT
openoffice.org-2.4.1-17.5.fc9 has been submitted as an update for Fedora 9
Comment 4 Fedora Update System 2008-08-12 14:26:20 EDT
openoffice.org-2.4.1-17.5.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update openoffice.org'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2008-7220
Comment 5 pb 2008-08-14 16:17:25 EDT
just tested - works fine.
Thanks!
Comment 6 Fedora Update System 2008-08-28 03:47:35 EDT
openoffice.org-2.4.1-17.6.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/openoffice.org-2.4.1-17.6.fc9
Comment 7 Fedora Update System 2008-09-10 02:39:12 EDT
openoffice.org-2.4.1-17.6.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.